@import "assets/stylesheets/colors";
@import 'assets/stylesheets/typography';

.menu-bar-container {
    height: 100%;
    width: 256px;
    padding: 29px 16px 16px 16px;
    height: 64px;

    .MuiGrid-container {
        width: 25%;
    }
    .sub-menu-bar {
        padding-bottom:  12px;
    }
    .MuiListSubheader-gutters {
        padding-left: 0px;
        padding-right: 0px;
    }
    .MuiPaper-root {
        background-color: $secondary-dark;
        .MuiList-root {
            height: 100%;
            width: 256px;
            padding-top: 29px;
            padding-left: 16px;
            background-color: $secondary-dark;
            .MuiButtonBase-root {
                color: $secondary-text;
            }
            .MuiListItemIcon-root {
                color: $secondary-text;
            }
            .group-title {
                width: 224px;  
                padding-bottom: 10px
            }
        }

    }
    .MuiDrawer-paper{
        // overflow-y: auto;
        // overflow: auto;
        height: 100%;
    }
    .MuiTypography-body1 {
        @extend .subtitle-1;
    }

    > .MuiPaper-root {
        z-index: 1;
        margin-top: 64px;

        a {
            text-decoration: unset !important;
            color: rgba(0, 0, 0, 0.87);
        }
    }

    &.open {
        > .MuiPaper-root {
            width: 300px;
        }
    }

    &.close {
        > .MuiPaper-root {
            width: 0;
        }
    }

    // .MuiListItem-button:hover {
    //     background-color:#E6E6E8
    // }
}

@media screen and (max-width: 1280px) {
    .menu-bar-container {
        width: 0;
        display: none;
    }
}
